<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.business.mapper.FacilityModelMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="facilityModelResultMap" type="org.springblade.modules.business.entity.FacilityModel">
        <result column="id" property="id"/>
        <result column="is_delete" property="isDelete"/>
        <result column="create_user_id" property="createUserId"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user_id" property="updateUserId"/>
        <result column="update_time" property="updateTime"/>
        <result column="facility_model" property="facilityModel"/>
        <result column="channel_quantity" property="channelQuantity"/>
        <result column="channel_capacity" property="channelCapacity"/>
    </resultMap>


    <select id="selectFacilityModelPage" resultMap="facilityModelResultMap">
        select * from t_facility_model where is_delete = 0
    </select>

</mapper>
